```@meta
CurrentModule = FractionalCalculus
```

# FractionalCalculus.jl

Hello there👋!

FractionalCalculus.jl is a Julia package aiming at providing support for computing fractional derivative and fractional integral.

```@contents
Pages = ["index.md"]
```

!!! tip "Star Us"
	If you think **FractionalCalculus.jl** is useful, please [star us on GitHub](httpd://github.com/SciFracX/FractionalCalculus.jl), it means a lot to us!

## Installation

To install FractionalCalculus, please open Julia REPL and press`]` key to use package mode and then type the following command:

```julia-repl
pkg> add FractionalCalculus
```

Or if you want to experience the latest version of FractionalCalculus.jl:

```julia-repl
pkg> add FractionalCalculus#master
```

## Features

* Feature-Rich. FractionalCalculus now has algorithms for **Caputo fractional derivative**, **Grunwald-Letnikov fractional derivative**, **Riesz fractional derivative**, **Hadamard fractional derivative** and **Riemann-Liouville fractional integral** support, more algorithms are planned to support to enrich the package ecosystem.

* Easy to Use. FractionalCalculus.jl is quite easy to use, with only a few API but equiped a lot algorithms.

* High performance. FractionalCalculus.jl is highly optimized for high performance. It is written in Julia and deployed many optimization techniques to improve the performance.

!!! tip "Fractional Differential Equations"
	Want to solve fractional differential equations with performant and effcient algorithms? Please see [FractionalDiffEq.jl](https://github.com/SciFracX/FractionalDiffEq.jl)

## Plans

- Symbolic differentiation and integration

- Add more visualization of how the fraction derivative and integral are changing based on Makie or Javis or Manim

- Add more algorithms

- Add Pluto or Jupyter notebook based examples

## Contributing

The development of FractionalCalculus.jl is on GitHub, please [report bugs](https://github.com/SciFracX/FractionalCalculus.jl/issues) or [send pull requests](https://github.com/SciFracX/FractionalCalculus.jl/pulls) to help FractionalCalculus.jl grow.

## Acknowledge

**FractionalCalculus.jl** is built upon the hard work of many scientific researchers, I sincerely appreciate what they have done to help the development of science and technology.